<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="input-group mb-3">
  <div
    *ngIf="storedElementList.length > 0"
    class="input-group-text bg-white">
    <span
      *ngFor="let storedElement of storedElementList; let i = index"
      class="{{ i > 0 ? 'ps-0 border-start-0' : '' }}">
      <span class="badge bg-secondary rounded-pill">
        {{ storedElement }}
        <i class="fa fa-times" (click)="onDeleteClick(storedElement)"></i>
      </span>
    </span>
  </div>
  <input
    type="text"
    class="form-control {{ ((storedElementList.length > 0) && !inputFocused) ? 'border-start-0' : '' }}"
    (focus)="inputFocused = true"
    (blur)="onBlur()"
    [(ngModel)]="currentElementInput"
    (keydown.enter)="addInputToStoredElementList()"
    (keydown.space)="addInputToStoredElementList()"
    (keydown.tab)="addInputToStoredElementList()"
    (keydown.backspace)="onBackspaceKeyUp()"
    (change)="onValuesChanged()"
    [placeholder]="placeholder"
    [autocomplete]="inputType === 'email' ? 'on' : null"
    [pattern]="inputType === 'email' ? rfc5322RegexPattern : null"
    [type]="inputType">
</div>
